<?php
/**
 * Theme Palace options
 *
 * @package Theme Palace
 * @subpackage Power News
 * @since Power News 1.0.0
 */

/**
 * List of pages for page choices.
 * @return Array Array of page ids and name.
 */
function power_news_page_choices() {
    $pages = get_pages();
    $choices = array();
    $choices[0] = esc_html__( '--Select--', 'power-news' );
    foreach ( $pages as $page ) {
        $choices[ $page->ID ] = $page->post_title;
    }
    return  $choices;
}

/**
 * List of posts for post choices.
 * @return Array Array of post ids and name.
 */
function power_news_post_choices() {
    $posts = get_posts( array( 'numberposts' => -1 ) );
    $choices = array();
    $choices[0] = esc_html__( '--Select--', 'power-news' );
    foreach ( $posts as $post ) {
        $choices[ $post->ID ] = $post->post_title;
    }
    return  $choices;
}

/**
 * List of category for category choices.
 * @return Array Array of post ids and name.
 */
function power_news_category_choices() {
    $tax_args = array(
        'hierarchical' => 0,
        'taxonomy'     => 'category',
    );
    $taxonomies = get_categories( $tax_args );
    $choices = array();
    $choices[0] = esc_html__( '--Select--', 'power-news' );
    foreach ( $taxonomies as $tax ) {
        $choices[ $tax->term_id ] = $tax->name;
    }
    return  $choices;
}

if ( ! function_exists( 'power_news_site_layout' ) ) :
    /**
     * Site Layout
     * @return array site layout options
     */
    function power_news_site_layout() {
        $power_news_site_layout = array(
            'wide'  => get_template_directory_uri() . '/assets/images/full.png',
            'boxed-layout' => get_template_directory_uri() . '/assets/images/boxed.png',
        );

        $output = apply_filters( 'power_news_site_layout', $power_news_site_layout );
        return $output;
    }
endif;

if ( ! function_exists( 'power_news_selected_sidebar' ) ) :
    /**
     * Sidebars options
     * @return array Sidbar positions
     */
    function power_news_selected_sidebar() {
        $power_news_selected_sidebar = array(
            'sidebar-1'             => esc_html__( 'Default Sidebar', 'power-news' ),
            'optional-sidebar'      => esc_html__( 'Optional Sidebar 1', 'power-news' ),
            'optional-sidebar-2'    => esc_html__( 'Optional Sidebar 2', 'power-news' ),
            'optional-sidebar-3'    => esc_html__( 'Optional Sidebar 3', 'power-news' ),
            'optional-sidebar-4'    => esc_html__( 'Optional Sidebar 4', 'power-news' ),
        );

        $output = apply_filters( 'power_news_selected_sidebar', $power_news_selected_sidebar );

        return $output;
    }
endif;


if ( ! function_exists( 'power_news_global_sidebar_position' ) ) :
    /**
     * Global Sidebar position
     * @return array Global Sidebar positions
     */
    function power_news_global_sidebar_position() {
        $power_news_global_sidebar_position = array(
            'right-sidebar' => get_template_directory_uri() . '/assets/images/right.png',
            'left-sidebar'  => get_template_directory_uri() . '/assets/images/left.png',
        );

        $output = apply_filters( 'power_news_global_sidebar_position', $power_news_global_sidebar_position );

        return $output;
    }
endif;


if ( ! function_exists( 'power_news_sidebar_position' ) ) :
    /**
     * Sidebar position
     * @return array Sidbar positions
     */
    function power_news_sidebar_position() {
        $power_news_sidebar_position = array(
            'right-sidebar' => get_template_directory_uri() . '/assets/images/right.png',
            'left-sidebar'  => get_template_directory_uri() . '/assets/images/left.png',
        );

        $output = apply_filters( 'power_news_sidebar_position', $power_news_sidebar_position );

        return $output;
    }
endif;


if ( ! function_exists( 'power_news_pagination_options' ) ) :
    /**
     * Pagination
     * @return array site pagination options
     */
    function power_news_pagination_options() {
        $power_news_pagination_options = array(
            'numeric'   => esc_html__( 'Numeric', 'power-news' ),
            'default'   => esc_html__( 'Default(Older/Newer)', 'power-news' ),
        );

        $output = apply_filters( 'power_news_pagination_options', $power_news_pagination_options );

        return $output;
    }
endif;

if ( ! function_exists( 'power_news_get_spinner_list' ) ) :
    /**
     * List of spinner icons options.
     * @return array List of all spinner icon options.
     */
    function power_news_get_spinner_list() {
        $arr = array(
            'default'               => esc_html__( 'Default', 'power-news' ),
            'spinner-wheel'         => esc_html__( 'Wheel', 'power-news' ),
            'spinner-double-circle' => esc_html__( 'Double Circle', 'power-news' ),
            'spinner-two-way'       => esc_html__( 'Two Way', 'power-news' ),
            'spinner-umbrella'      => esc_html__( 'Umbrella', 'power-news' ),
            'spinner-dots'          => esc_html__( 'Dots', 'power-news' ),
            'spinner-one-way'       => esc_html__( 'One Way', 'power-news' ),
            'spinner-fidget'        => esc_html__( 'Fidget', 'power-news' ),
        );
        return apply_filters( 'power_news_spinner_list', $arr );
    }
endif;

if ( ! function_exists( 'power_news_switch_options' ) ) :
    /**
     * List of custom Switch Control options
     * @return array List of switch control options.
     */
    function power_news_switch_options() {
        $arr = array(
            'on'        => esc_html__( 'Enable', 'power-news' ),
            'off'       => esc_html__( 'Disable', 'power-news' )
        );
        return apply_filters( 'power_news_switch_options', $arr );
    }
endif;

if ( ! function_exists( 'power_news_hide_options' ) ) :
    /**
     * List of custom Switch Control options
     * @return array List of switch control options.
     */
    function power_news_hide_options() {
        $arr = array(
            'on'        => esc_html__( 'Yes', 'power-news' ),
            'off'       => esc_html__( 'No', 'power-news' )
        );
        return apply_filters( 'power_news_hide_options', $arr );
    }
endif;